LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
MissingBootstrapFileException Exception Referencepublished

is thrown when creating a configuration provider fails because a bootstrap file needed to locate the configuration is missing More...

`import"MissingBootstrapFileException.idl";`

Inheritance diagram for MissingBootstrapFileException:

## Public Attributes
string | BootstrapFileURL
| the URL of the bootstrap file that could not be found More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

is thrown when creating a configuration provider fails because a bootstrap file needed to locate the configuration is missing

## Member Data Documentation

string BootstrapFileURL

the URL of the bootstrap file that could not be found

The documentation for this exception was generated from the following file:

- com/sun/star/configuration/MissingBootstrapFileException.idl